%define ttfdir %_datadir/fonts/default/TrueType-val

Name: val-fonts-ttf
Version: 1.0
Release: alt11

Summary: Unicode True Type fonts from URW & Valek Filippov
Summary (ru_RU.UTF-8): Unicode True Type шрифты от URW и Валентина Филиппова 
License: GPL
Group: System/Fonts/True type
Url: ftp://ftp.gnome.ru/pub/fonts/releases
Source0: urw-fonts-1.0.7pre14-ttf.tar.bz2
Source1: fonts.alias
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath freetype fontconfig
Obsoletes: val-ttf
Provides: val-ttf

%description
A set of Unicode True Type fonts from URW & Valek Filippov

%description -l ru_RU.UTF-8
Набор Unicode True Type шрифтов от URW и Валентина Филиппова.

%prep
%setup -q -c -n%name 

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf %SOURCE1 $RPM_BUILD_ROOT%ttfdir
cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -f val -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir

%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir

%postun
/usr/sbin/chkfontpath -q --remove %ttfdir

%files
%ttfdir
%doc COPYING README ChangeLog

%changelog
* Wed Aug 27 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt11
- Changed dir 
- Cleanups (removed obsolete gnome-font-install and xftcache)
- Translation
- Renamed to val-fonts-ttf for uniformity

* Fri Oct 04 2002 AEN <aen@altlinux.ru> 1.0-alt10
- pre14
- PreReq fontconfig, call fc-cache from %post
- added gnome-print script to %pre

* Mon Mar 04 2002 AEN <aen@logic.ru> 1.0-alt9
- pre7

* Wed Feb 06 2002 AEN <aen@logic.ru> 1.0-alt8
- pre7

* Fri Jan 18 2002 AEN <aen@logic.ru> 1.0-alt7
- pre4

* Fri Jan 04 2002 AEN <aen@logic.ru> 1.0-alt6
- 1.0.7pre2 from Valek

* Tue Sep 11 2001 AEN <aen@logic.ru> 1.0-alt5
- Fonudry: val
* Mon Sep 10 2001 AEN <aen@logic.ru> 1.0-alt4
- added -q to chkfontpath

* Fri Sep 7 2001 AEN <aen@logic.ru> 1.0-alt3
- new README from Valek

* Thu Sep 6 2001 AEN <aen@logic.ru> 1.0-alt2
- new snapshot from Valek
- ttmkfdir problem solved
- PreReq freetype

* Tue Sep 4 2001 AEN <aen@logic.ru> 1.0-alt1
- Initial revision.
